Skip to main content
GET
/
data
/
air
/
v1
/
aircraft
List aircraft types
curl --request GET \
  --url https://api.voyant.travel/data/air/v1/aircraft \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "iataCode": "32N",
      "name": "Airbus A320neo",
      "manufacturer": "Airbus",
      "lastUpdated": "2023-11-07T05:31:56Z",
      "icaoCode": "A20N",
      "typicalSeats": 123,
      "rangeKm": 123
    }
  ],
  "totalCount": 123,
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Voyant Data API token, scoped per sub-product (data:{product}:read). Sent as Authorization: Bearer <token>.

Query Parameters

manufacturer
string
category
enum<string>
Available options:
narrow_body,
wide_body,
regional_jet,
turboprop,
private_jet,
helicopter,
other

Response

Aircraft types

data
object[]
required
totalCount
integer
required
nextCursor
string